import { ARBatch } from "./ARBatch";
import { PLCRow } from "kaneoh-data-types/types/dtos/PLCDto";
import { ApprovalRequestDifferences } from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import { ApprovalRequestRuleCollection } from "kaneoh-data-types/types/records/PlatformConfigRecord";
import { UserDto } from "kaneoh-data-types/types/dtos/UserDto";
export declare class PLCARBatch implements ARBatch<PLCRow> {
    private rules;
    private comparisons;
    private user;
    constructor(rules: ApprovalRequestRuleCollection, comparisons: Array<PLCRow>, user: UserDto);
    shouldBeApproval(dtos: Array<PLCRow>): boolean;
    revert(dtos: Array<PLCRow>): Array<PLCRow>;
    build(dtos: Array<PLCRow>): ApprovalRequestDifferences;
    updateComparison(comparisons: Array<PLCRow>): void;
    private findOwnerRules(rules, owner);
    private diffs(dtos, comparisons?);
    private diff(dto, comparison);
}
