"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lookup_1 = require("../commons/lookup");
var _ = require("underscore");
var DeepDiff = require("deep-diff");
function generateDifferences(comparison, dto) {
    return _(DeepDiff.diff(comparison, dto)).map(function (difference) {
        var fieldValue;
        var lastPath = _.last(difference.path);
        if (_.isNumber(lastPath)) {
            var lastValue = lookup_1.lookup(comparison, _.initial(difference.path));
            if (_.isArray(lastValue)) {
                fieldValue = _.initial(difference.path).join(".");
            }
        }
        else {
            fieldValue = difference.path.join(".");
        }
        var lhs = difference.lhs, rhs = difference.rhs;
        if (fieldValue === "ownerIds") {
            lhs = comparison["ownerIds"];
            rhs = dto["ownerIds"];
        }
        return {
            field: fieldValue,
            before: lhs,
            after: rhs,
            sourceId: dto["_id"]
        };
    });
}
exports.generateDifferences = generateDifferences;
//# sourceMappingURL=generateDifferences.js.map