"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
function lookup(obj, key, separator, arrayIndicator) {
    if (_.isUndefined(separator)) {
        separator = ".";
    }
    if (_.isUndefined(arrayIndicator)) {
        arrayIndicator = "$";
    }
    if (_.isUndefined(obj) || _.isUndefined(key) || _.isNull(obj) || _.isNull(key)) {
        return;
    }
    var keys = _.isArray(key) ? key : key.split(separator);
    var cur = keys.shift();
    if (keys.length) {
        if (_.isObject(obj[cur])) {
            return lookup(obj[cur], keys, separator, arrayIndicator);
        }
        else if (cur === arrayIndicator) {
            var memo_1 = [];
            _.each(obj, function (v) {
                var tmp = lookup(v, JSON.parse(JSON.stringify(keys)), separator, arrayIndicator);
                if (!_.isUndefined(tmp)) {
                    memo_1.push(tmp);
                }
            });
            return _.isEmpty(memo_1) ? undefined : memo_1;
        }
        else {
            return undefined;
        }
    }
    else {
        return obj[cur];
    }
}
exports.lookup = lookup;
//# sourceMappingURL=lookup.js.map