"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TaskConstant = /** @class */ (function () {
    function TaskConstant() {
    }
    TaskConstant.mapFromTaskStatus = function (taskStatus) {
        return TaskConstant.MAPPED_FROM[taskStatus] || null;
    };
    TaskConstant.STATUS = {
        DRAFT: "draft",
        PLANNED: "planned",
        ON_GOING: "on-going",
        CANCELED: "canceled",
        COMPLETED: "completed",
    };
    // todo keep first is going to removed
    TaskConstant.TYPE = {
        GENERAL: "general",
        TEST_CASE: "testCase",
    };
    TaskConstant.PRIORITY = {
        URGENT: "urgent",
        HIGH: "high",
        MEDIUM: "medium",
        LOW: "low",
    };
    TaskConstant.TASK_GENERAL_STATUSES = [
        "draft",
        "planned",
        "on-going",
        "canceled",
        "completed",
    ];
    TaskConstant.AVAILABLE_STATUSES = {
        "draft": [
            TaskConstant.STATUS.DRAFT,
            TaskConstant.STATUS.PLANNED,
            TaskConstant.STATUS.ON_GOING,
            TaskConstant.STATUS.COMPLETED,
            TaskConstant.STATUS.CANCELED,
        ],
        "planned": [
            TaskConstant.STATUS.PLANNED,
            TaskConstant.STATUS.ON_GOING,
            TaskConstant.STATUS.COMPLETED,
            TaskConstant.STATUS.CANCELED,
        ],
        "on-going": [
            TaskConstant.STATUS.ON_GOING,
            TaskConstant.STATUS.PLANNED,
            TaskConstant.STATUS.COMPLETED,
            TaskConstant.STATUS.CANCELED,
        ],
        "completed": [
            TaskConstant.STATUS.COMPLETED,
        ],
        "canceled": [
            TaskConstant.STATUS.CANCELED,
        ],
    };
    TaskConstant.ACTIVE_STATUS = [TaskConstant.STATUS.PLANNED, TaskConstant.STATUS.ON_GOING];
    TaskConstant.MAPPED_FROM = {
        "draft": TaskConstant.STATUS.DRAFT,
        "planned": TaskConstant.STATUS.PLANNED,
        "on-going": TaskConstant.STATUS.ON_GOING,
        "canceled": TaskConstant.STATUS.CANCELED,
        "completed": TaskConstant.STATUS.COMPLETED,
    };
    return TaskConstant;
}());
exports.TaskConstant = TaskConstant;
//# sourceMappingURL=TaskConstant.js.map