"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Mingo = require("mingo");
var kaneoh_filter_1 = require("kaneoh-filter");
var _ = require("underscore");
function convertDefectsToCustomizedDefectSummaryDto(defects, filterDtos) {
    var rows = _(filterDtos).map(function (dto) {
        var rowConditions = dto.row.conditions;
        var label = dto.row.label;
        var columns = _(dto.columns).map(function (column) {
            var allConditions = _(column.conditions).extend(rowConditions);
            var selector = kaneoh_filter_1.KFilterUtils.buildSelector(allConditions);
            var query = new Mingo.Query(selector);
            var cursor = query.find(defects);
            return {
                label: column.label,
                value: cursor.count(),
                defects: cursor.all(),
            };
        });
        return { label: label, columns: columns };
    });
    return {
        total: defects.length,
        title: "Defect Summary",
        rows: rows,
    };
}
exports.convertDefectsToCustomizedDefectSummaryDto = convertDefectsToCustomizedDefectSummaryDto;
//# sourceMappingURL=convertDefectsToCustomizedDefectSummaryDto.js.map