"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
var isAdmin_1 = require("../user/isAdmin");
function getDefectStatusesAvailableForUser(action, defect, user) {
    var userId = _.isEmpty(user) ? Meteor.userId() : user._id;
    if (!action) {
        return [];
    }
    var availableStatuses = _.chain([]);
    if (defect.submitterId === userId) {
        var statues = action.submitter;
        if (statues) {
            availableStatuses = availableStatuses.union(statues);
        }
    }
    if (defect.ownerId === userId) {
        var statues = action.owner;
        if (statues) {
            availableStatuses = availableStatuses.union(statues);
        }
    }
    if (isAdmin_1.isAdmin(user)) {
        var statues = action.submitter;
        if (statues) {
            availableStatuses = availableStatuses.union(statues);
        }
    }
    var statuses = availableStatuses.value() || [];
    if (!_.isUndefined(defect.status)) {
        statuses.unshift(defect.status);
    }
    return statuses;
}
exports.getDefectStatusesAvailableForUser = getDefectStatusesAvailableForUser;
//# sourceMappingURL=getDefectStatusesAvailableForUser.js.map