"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DefectStatusType_1 = require("../constants/DefectStatusType");
var _ = require("underscore");
function getDefectStatusesByType(type, config) {
    var defectStatuses;
    if (config) {
        defectStatuses = config.defect;
    }
    if (_.isEmpty(defectStatuses)) {
        return;
    }
    var allStatuses = defectStatuses.status;
    if (type === DefectStatusType_1.DefectStatusType.ALL) {
        return _.keys(allStatuses || {});
    }
    var availableStatuses = _.chain(allStatuses)
        .pick(function (data) {
        return _.contains(data.type, type);
    })
        .keys()
        .value();
    return availableStatuses || [];
}
exports.getDefectStatusesByType = getDefectStatusesByType;
//# sourceMappingURL=getDefectStatusesByType.js.map