"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var defaultProgress_1 = require("../defaultObjects/defaultProgress");
var _ = require("underscore");
function averageProgress(progresses) {
    var total = _(progresses).reduce(function (progress, memo) {
        return {
            total: progress.total + memo.total,
            passed: progress.passed + memo.passed,
            failed: progress.failed + memo.failed,
            blocked: progress.blocked + progress.blocked,
        };
    }, defaultProgress_1.defaultProgress());
    return {
        total: total.total / total.total,
        passed: total.passed / total.total,
        failed: total.failed / total.total,
        blocked: total.blocked / total.total,
    };
}
exports.averageProgress = averageProgress;
//# sourceMappingURL=averageProgress.js.map