"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var moment = require("moment");
var momentBusiness = require("moment-business");
var _ = require("underscore");
function duration(startDate, endDate, excludeHolidays) {
    if (_(startDate).isDate() && _(endDate).isDate()) {
        if (excludeHolidays) {
            // Add 1 day if endDate is weekday
            var d = momentBusiness.isWeekDay(moment(endDate)) ? 1 : 0;
            return momentBusiness.weekDays(moment(startDate), moment(endDate)) + d;
        }
        else {
            return moment(endDate).diff(startDate, "days") + 1;
        }
    }
    return null;
}
exports.duration = duration;
//# sourceMappingURL=duration.js.map