"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var moment = require("moment");
var momentBusiness = require("moment-business");
function ensureDuration(obj, date, excludeHolidays, type) {
    // At least 1 day if date is weekday
    var mayNeedUpdate = excludeHolidays && momentBusiness.isWeekDay(moment(date));
    if (type && obj.duration instanceof Object) {
        if (mayNeedUpdate && obj.duration[type] === 0) {
            obj.duration[type] = 1;
        }
    }
    else {
        if (mayNeedUpdate && obj.duration === 0) {
            obj.duration = 1;
        }
    }
}
exports.ensureDuration = ensureDuration;
//# sourceMappingURL=ensureDuration.js.map