"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScheduleConstant_1 = require("../constants/ScheduleConstant");
var Status_1 = require("../constants/Status");
function getDateTypeByStatus(status, startOrEnd) {
    var getType = function (startDateType, endDateType) {
        if (startOrEnd === ScheduleConstant_1.ScheduleConstant.START_DATE) {
            return startDateType;
        }
        else if (startOrEnd === ScheduleConstant_1.ScheduleConstant.END_DATE) {
            return endDateType;
        }
    };
    switch (status) {
        case Status_1.Status.DRAFT:
            return getType(ScheduleConstant_1.ScheduleConstant.PLANNED, ScheduleConstant_1.ScheduleConstant.PLANNED);
        case Status_1.Status.PLANNED:
            return getType(ScheduleConstant_1.ScheduleConstant.PROJECTED, ScheduleConstant_1.ScheduleConstant.PROJECTED);
        case Status_1.Status.ON_GOING:
            return getType(ScheduleConstant_1.ScheduleConstant.ACTUAL, ScheduleConstant_1.ScheduleConstant.PROJECTED);
        case Status_1.Status.COMPLETED:
            return getType(ScheduleConstant_1.ScheduleConstant.ACTUAL, ScheduleConstant_1.ScheduleConstant.ACTUAL);
        default:
            return;
    }
}
exports.getDateTypeByStatus = getDateTypeByStatus;
//# sourceMappingURL=getDateTypeByStatus.js.map