"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TaskConstant_1 = require("../constants/TaskConstant");
var firstStage_1 = require("./firstStage");
var _ = require("underscore");
function activeStage(rows) {
    if (rows.length === 0) {
        return null;
    }
    var firstRow = function (compareRows, status) {
        var statusRows = _.filter(compareRows, function (compareRow) {
            return compareRow.status === status;
        });
        if (statusRows.length > 0) {
            return firstStage_1.firstStage(statusRows);
        }
    };
    var onGoingStage = firstRow(rows, TaskConstant_1.TaskConstant.STATUS.ON_GOING);
    if (onGoingStage) {
        return onGoingStage;
    }
    var plannedStage = firstRow(rows, TaskConstant_1.TaskConstant.STATUS.PLANNED);
    if (plannedStage) {
        return plannedStage;
    }
    var completeRows = _.filter(rows, function (row) {
        return row.status === TaskConstant_1.TaskConstant.STATUS.COMPLETED;
    });
    if (completeRows.length > 0) {
        return _(completeRows)
            .chain()
            .sortBy("endDate")
            .last()
            .value();
    }
}
exports.activeStage = activeStage;
//# sourceMappingURL=activeStage.js.map