import {ApprovalRequestRecord} from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import {isUnderApproval} from "./isUnderApproval";
import {ApprovalRequestStatus} from "../constants/ApprovalRequestStatus";
import {isAllApproved} from "./isAllApproved";

export function extendStatus(record: ApprovalRequestRecord): ApprovalRequestRecord {
    const approvers = record.approvers;
    const canceled = record.immutable && isUnderApproval(approvers);
    record.status = canceled ? ApprovalRequestStatus.CANCEL : isUnderApproval(approvers) ?
        ApprovalRequestStatus.UNDER_APPROVAL : isAllApproved(approvers) ?
            ApprovalRequestStatus.COMPLETED : ApprovalRequestStatus.CANCEL;
    return record;
}
