import * as _ from "underscore";

export function lookup(obj: any, key: any, separator?: string, arrayIndicator?: string) {
    if (_.isUndefined(separator)) {
        separator = ".";
    }
    if (_.isUndefined(arrayIndicator)) {
        arrayIndicator = "$";
    }
    if (_.isUndefined(obj) || _.isUndefined(key) || _.isNull(obj) || _.isNull(key)) {
        return;
    }

    const keys = _.isArray(key) ? key : key.split(separator);
    const cur = keys.shift();

    if (keys.length) {
        if (_.isObject(obj[cur])) {
            return lookup(obj[cur], keys, separator, arrayIndicator);
        } else if (cur === arrayIndicator) {
            const memo = [];
            _.each(obj, (v) => {
                const tmp = lookup(v, JSON.parse(JSON.stringify(keys)), separator, arrayIndicator);
                if (!_.isUndefined(tmp)) {
                    memo.push(tmp);
                }
            });
            return _.isEmpty(memo) ? undefined : memo;
        } else {
            return undefined;
        }
    } else {
        return obj[cur];
    }
}
