export class TaskConstant {
    public static STATUS = {
        DRAFT: "draft",
        PLANNED: "planned",
        ON_GOING: "on-going",
        CANCELED: "canceled",
        COMPLETED: "completed",
    };

    // todo keep first is going to removed
    public static TYPE = {
        GENERAL: "general",
        TEST_CASE: "testCase",
    };

    public static PRIORITY = {
        URGENT: "urgent",
        HIGH: "high",
        MEDIUM: "medium",
        LOW: "low",
    };

    public static TASK_GENERAL_STATUSES = [
        "draft",
        "planned",
        "on-going",
        "canceled",
        "completed",
    ];

    public static AVAILABLE_STATUSES = {
        "draft": [
            TaskConstant.STATUS.DRAFT,
            TaskConstant.STATUS.PLANNED,
            TaskConstant.STATUS.ON_GOING,
            TaskConstant.STATUS.COMPLETED,
            TaskConstant.STATUS.CANCELED,
        ],
        "planned": [
            TaskConstant.STATUS.PLANNED,
            TaskConstant.STATUS.ON_GOING,
            TaskConstant.STATUS.COMPLETED,
            TaskConstant.STATUS.CANCELED,
        ],
        "on-going": [
            TaskConstant.STATUS.ON_GOING,
            TaskConstant.STATUS.PLANNED,
            TaskConstant.STATUS.COMPLETED,
            TaskConstant.STATUS.CANCELED,
        ],
        "completed": [
            TaskConstant.STATUS.COMPLETED,
        ],
        "canceled": [
            TaskConstant.STATUS.CANCELED,
        ],
    };

    public static ACTIVE_STATUS = [TaskConstant.STATUS.PLANNED, TaskConstant.STATUS.ON_GOING];

    public static mapFromTaskStatus(taskStatus: string): string | null {
        return TaskConstant.MAPPED_FROM[taskStatus] || null;
    }

    private static MAPPED_FROM = {
        "draft": TaskConstant.STATUS.DRAFT,
        "planned": TaskConstant.STATUS.PLANNED,
        "on-going": TaskConstant.STATUS.ON_GOING,
        "canceled": TaskConstant.STATUS.CANCELED,
        "completed": TaskConstant.STATUS.COMPLETED,
    };
}
