import {DefectRecord} from "kaneoh-data-types/types/records/DefectRecord";
import {ReportActiveDefectItem} from "kaneoh-data-types/types/records/ReportRecord";
import * as _ from "underscore";

export function getActiveDefectSummaryItems(defects: Array<DefectRecord>): Array<ReportActiveDefectItem> {
    return _(defects).map<ReportActiveDefectItem>((it: DefectRecord) => {
        return {
            defectId: it._id,
            activeAge: it.activeAge,
            severity: it.severity,
            componentId: it.componentId,
            componentName: it.componentName,
            componentType: it.componentType,
        };
    });
}
