import {Defect, DefectStatus} from "kaneoh-data-types/types/records/PlatformConfigRecord";
import {DefectStatusType} from "../constants/DefectStatusType";
import * as _ from "underscore";
import {PlatformConfigDto} from "kaneoh-data-types/types/dtos/PlatformConfigDto";

export function getDefectStatusesByType(type: string, config: PlatformConfigDto): Array<string> {
    let defectStatuses: Defect;
    if (config) {
        defectStatuses = config.defect;
    }
    if (_.isEmpty(defectStatuses)) {
        return;
    }
    const allStatuses: DefectStatus = defectStatuses.status;

    if (type === DefectStatusType.ALL) {
        return _.keys(allStatuses || {});
    }

    const availableStatuses: Array<string> = _.chain(allStatuses)
        .pick((data: DefectStatus) => {
            return _.contains(data.type, type);
        })
        .keys()
        .value();

    return availableStatuses || [];
}
