import {DefectRecord} from "kaneoh-data-types/types/records/DefectRecord";
import {isAdmin} from "../user/isAdmin";
import {UserDto} from "kaneoh-data-types/types/dtos/UserDto";
import {UserRecord} from "kaneoh-data-types/types/records/UserRecord";
import * as _ from "underscore";

export function isEditableDefect(defect: DefectRecord, user: UserDto | UserRecord, site: string): boolean {
    return _.contains([defect.ownerId, defect.submitterId], user._id) || isAdmin(user) ||
        site === "lenovo";
}
