import {ProgressPreset} from "kaneoh-data-types/types/commons/ProgressPreset";
import {defaultProgress} from "../defaultObjects/defaultProgress";
import * as _ from "underscore";

export function averageProgress(progresses: Array<ProgressPreset>): ProgressPreset {
    const total = _(progresses).reduce<ProgressPreset>((progress, memo) => {
        return {
            total: progress.total + memo.total,
            passed: progress.passed + memo.passed,
            failed: progress.failed + memo.failed,
            blocked: progress.blocked + progress.blocked,
        };
    }, defaultProgress());

    return {
        total: total.total / total.total,
        passed: total.passed / total.total,
        failed: total.failed / total.total,
        blocked: total.blocked / total.total,
    };
}
