import {ProgressPreset} from "kaneoh-data-types/types/commons/ProgressPreset";
import {PLCRow} from "kaneoh-data-types/types/dtos/PLCDto";
import * as _ from "underscore";
import {averageProgress} from "./averageProgress";
import {getProgress} from "./getProgress";

export function calculateProgress(row: PLCRow): ProgressPreset {
    if (row.children.length > 0) {
        const progresses = _(row.children).map(calculateProgress);
        return averageProgress(progresses);
    } else {
        return getProgress(row);
    }
}
