import {ProgressPreset} from "kaneoh-data-types/types/commons/ProgressPreset";
import * as _ from "underscore";
import {defaultProgress} from "../defaultObjects/defaultProgress";
import {TaskConstant} from "../constants/TaskConstant";
import {PLCRow} from "kaneoh-data-types/types/dtos/PLCDto";

export function getProgress(row: PLCRow): ProgressPreset {
    const progress: ProgressPreset = defaultProgress();
    if (_(TaskConstant.ACTIVE_STATUS).contains(row.status)) {
        progress.total ++;
    } else if (row.status === TaskConstant.STATUS.COMPLETED) {
        progress.passed ++;
        progress.total ++;
    }
    return progress;
}
