import {SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";
import {referenceDate} from "./referenceDate";
import * as moment from "moment";
import * as momentBusiness from "moment-business";
import * as _ from "underscore";

export const calculateScheduleDelayDays = (schedule: SchedulePreset, status: string, dateToCompare: Date): number => {
    if (schedule) {
        const refDate: Date = referenceDate(schedule, status);
        if (_(refDate).isDate() && _(dateToCompare).isDate()) {
            return momentBusiness.weekDays(moment(refDate), moment(dateToCompare));
        }
    }

    return null;
};
