import {DelayTypeRecord} from "kaneoh-data-types/types/records/DelayTypeRecord";
import * as _ from "underscore";

export const delayColor = (delayDays: number, delayTypes?: Array<DelayTypeRecord>): string => {
    let color: string = null;

    if (delayTypes) {
        let ceil: number = null;
        _.each(delayTypes, (delayType) => {
            if (delayType.maxDays === null || (delayType.maxDays >= delayDays && (!ceil || delayType.maxDays < ceil))) {
                ceil = delayType.maxDays;
                color = delayType.color;
            }
        });
    }

    return color;
};
