import * as moment from "moment";
import * as momentBusiness from "moment-business";
import {PLCRow} from "kaneoh-data-types/types/dtos/PLCDto";
import {SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";

export function ensureDuration(obj: PLCRow | SchedulePreset, date: Date, excludeHolidays: boolean, type?: string): void {
    // At least 1 day if date is weekday
    const mayNeedUpdate: boolean = excludeHolidays && momentBusiness.isWeekDay(moment(date));
    if (type && obj.duration instanceof Object) {
        if (mayNeedUpdate && obj.duration[type] === 0) {
            obj.duration[type] = 1;
        }
    } else {
        if (mayNeedUpdate && obj.duration === 0) {
            obj.duration = 1;
        }
    }
}
