import {ScheduleConstant} from "../constants/ScheduleConstant";
import {Status} from "../constants/Status";

export function getDateTypeByStatus(status: string, startOrEnd: string): string {
    const getType = (startDateType: string, endDateType: string): string => {
        if (startOrEnd === ScheduleConstant.START_DATE) {
            return startDateType;
        } else if (startOrEnd === ScheduleConstant.END_DATE) {
            return endDateType;
        }
    };

    switch (status) {
        case Status.DRAFT:
            return getType(ScheduleConstant.PLANNED, ScheduleConstant.PLANNED);
        case Status.PLANNED:
            return getType(ScheduleConstant.PROJECTED, ScheduleConstant.PROJECTED);
        case Status.ON_GOING:
            return getType(ScheduleConstant.ACTUAL, ScheduleConstant.PROJECTED);
        case Status.COMPLETED:
            return getType(ScheduleConstant.ACTUAL, ScheduleConstant.ACTUAL);
        default:
            return;
    }
}
