import {ScheduleDate} from "kaneoh-data-types/types/commons/SchedulePreset";
import {ScheduleConstant} from "../constants/ScheduleConstant";
import {getDateTypeByStatus} from "./getDateTypeByStatus";

export function scheduleDateValueByStatus(scheduleDate: ScheduleDate, status: string, startOrEnd: string): Date {
    const type = getDateTypeByStatus(status, startOrEnd);

    switch (type) {
        case ScheduleConstant.ACTUAL:
            return scheduleDate.actual;
        case ScheduleConstant.PROJECTED:
            return scheduleDate.projected;
        case ScheduleConstant.PLANNED:
            return scheduleDate.planned;
        default:
            return null;
    }
}
