import {ScheduleDuration} from "kaneoh-data-types/types/commons/SchedulePreset";
import {ScheduleConstant} from "../constants/ScheduleConstant";
import {getDurationTypeByStatus} from "./getDurationTypeByStatus";

export function scheduleDurationValueByStatus(duration: ScheduleDuration, status: string): number {
    const type = getDurationTypeByStatus(status);

    if (!duration) {
        return null;
    }

    switch (type) {
        case ScheduleConstant.ACTUAL:
            return duration.actual;
        case ScheduleConstant.PROJECTED:
            return duration.projected;
        case ScheduleConstant.PLANNED:
            return duration.planned;
        default:
            return null;
    }
}
