import {PLCRow} from "kaneoh-data-types/types/dtos/PLCDto";
import {TaskConstant} from "../constants/TaskConstant";
import {firstStage} from "./firstStage";
import * as _ from "underscore";

export function activeStage(rows: Array<PLCRow>): PLCRow {
    if (rows.length === 0) {
        return null;
    }

    const firstRow = (compareRows: Array<PLCRow>, status: string) => {
        const statusRows = _.filter(compareRows, (compareRow) => {
            return compareRow.status === status;
        });
        if (statusRows.length > 0) {
            return firstStage(statusRows);
        }
    };

    const onGoingStage = firstRow(rows, TaskConstant.STATUS.ON_GOING);
    if (onGoingStage) {
        return onGoingStage;
    }

    const plannedStage = firstRow(rows, TaskConstant.STATUS.PLANNED);
    if (plannedStage) {
        return plannedStage;
    }

    const completeRows = _.filter(rows, (row) => {
        return row.status === TaskConstant.STATUS.COMPLETED;
    });
    if (completeRows.length > 0) {
        return _(completeRows)
            .chain()
            .sortBy("endDate")
            .last()
            .value();
    }
}
